#include <stdio.h>
#include <stdlib.h>

#include "font.h"


void remove_trailing_space(char* s)
{
    char* p;
    for( p = s + strlen(s)-1; p >= s && *p == ' ';  p--)
    {
	*p = '\0';
    }
}

void write_word(const char* word)
{
    int i;
    int length;
    int written = 0;
    const char* w = word;

    static char buf[8][100];

    for( i = 0; i < 8; i++ )
    {
	buf[i][0] = '\0';
    }


    for( i = 0; written < 10 && word[i]; i++ )
    {
	int j;
	int c = word[i];
	if( c < 32 || c >= 127 )
	{
	    continue;
	}

	for( j = 0; j < 8; j++)
	{
	    int k;
	    strcat( buf[j], font[w[i]-32][j] );
	    for( k = strlen( font[w[i]-32][j] ); k < 8; k++)
	    {
		strcat(buf[j], " ");
	    }
	}
	written++;
    }
    
    for( i = 0; i < 8; i++)
    {
	remove_trailing_space( buf[i] );
	printf("%s\n", buf[i]);
    }
}

int main( int argc, char** argv )
{
    int i;
    for(i = 1; i < argc; i++)
    {
	write_word( argv[i] );
    }
    return 0;
}
